umbrello: method-parameters.TestMethodParameters Class Reference

umbrello 2.37.3 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
method-parameters.TestMethodParameters Class Reference

## Public Member Functions
def | method (self)
def | method_params (self, a, b)
def | method_params_simple_default_values (self, a=0, a=-1, b=None, c="str", d=0.1)
def | method_params_dict (self, a={} b={ 'a':1, 'b':2})
def | method_params_dict_nested (self, a={} b={ 'a':1, 'b':{ 'a':1, 'b':2}})
def | method_params_list (self, a=[], b=[1, 2])
def | method_params_tuple (self, a=(), b=(1, 2))

## Member Function Documentation

## ◆ method()

def method-parameters.TestMethodParameters.method | ( |  | self | ) |

## ◆ method_params()

def method-parameters.TestMethodParameters.method_params | ( |  | self,
|  |  | a,
|  |  | b
| ) |  |

## ◆ method_params_dict()

def method-parameters.TestMethodParameters.method_params_dict | ( |  | self,
|  |  | a = `{} b={'a':1,'b':2}`
| ) |  |

## ◆ method_params_dict_nested()

def method-parameters.TestMethodParameters.method_params_dict_nested | ( |  | self,
|  |  | a = `{} b={'a':1,'b':{'a':1,'b':2}}`
| ) |  |

## ◆ method_params_list()

def method-parameters.TestMethodParameters.method_params_list | ( |  | self,
|  |  | a = `[]`,
|  |  | b = `[1,2]`
| ) |  |

## ◆ method_params_simple_default_values()

def method-parameters.TestMethodParameters.method_params_simple_default_values | ( |  | self,
|  |  | a = `0`,
|  |  | a = `-1`,
|  |  | b = `None`,
|  |  | c = `"str"`,
|  |  | d = `0.1`
| ) |  |

## ◆ method_params_tuple()

def method-parameters.TestMethodParameters.method_params_tuple | ( |  | self,
|  |  | a = `()`,
|  |  | b = `(1,2)`
| ) |  |

The documentation for this class was generated from the following file:

- test/import/python/method-parameters.py